/*
 * ----------------------------------------------------------------------------
 *  (C) Copyright Testing Technologies, 2001-2006.  All Rights Reserved.
 *
 *  All copies of this program, whether in whole or in part, and whether
 *  modified or not, must display this and all other embedded copyright
 *  and ownership notices in full.
 *
 *  See the file COPYRIGHT for details of redistribution and use.
 *
 *  You should have received a copy of the COPYRIGHT file along with
 *  this file; if not, write to the Testing Technologies,
 *  Rosenthaler Str. 13, 10119 Berlin, Germany.
 *
 *  TESTING TECHNOLOGIES DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS
 *  SOFTWARE. IN NO EVENT SHALL TESTING TECHNOLOGIES BE LIABLE FOR ANY
 *  SPECIAL, DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 *  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 *  THIS SOFTWARE.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND,
 *  EITHER EXPRESSED OR IMPLIED, INCLUDING ANY KIND OF IMPLIED OR
 *  EXPRESSED WARRANTY OF NON-INFRINGEMENT OR THE IMPLIED WARRANTIES
 *  OF MECHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * ----------------------------------------------------------------------------
 *
 *  AUTHOR:      Dirk Tepelmann
 *  DATE:        September, 2006
 *
 *  REVISION INFO:
 *        $Revision$ $Date$
 * ----------------------------------------------------------------------------- */
package com.testingtech.ttcn.tri.diffie_hellman;

import java.math.BigInteger;

public interface Primes {

	public final BigInteger PRIME_DH_GROUP1_MODP768BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF, (byte)0xC90FDAA2, (byte)0x2168C234, (byte)0xC4C6628B, (byte)0x80DC1CD1, (byte)0x29024E08,
					(byte)0x8A67CC74, (byte)0x020BBEA6, (byte)0x3B139B22, (byte)0x514A0879, (byte)0x8E3404DD, (byte)0xEF9519B3, (byte)0xCD3A431B,
					(byte)0x302B0A6D, (byte)0xF25F1437, (byte)0x4FE1356D, (byte)0x6D51C245, (byte)0xE485B576, (byte)0x625E7EC6, (byte)0xF44C42E9,
					(byte)0xA63A3620, (byte)0xFFFFFFFF, (byte)0xFFFFFFFF
			}
	);
	
	public final BigInteger PRIME_DH_GROUP1_MODP1024BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xC9, (byte)0x0F, (byte)0xDA,
					(byte)0xA2, (byte)0x21, (byte)0x68, (byte)0xC2, (byte)0x34, (byte)0xC4, (byte)0xC6, (byte)0x62, (byte)0x8B, (byte)0x80, (byte)0xDC,
					(byte)0x1C, (byte)0xD1, (byte)0x29, (byte)0x02, (byte)0x4E, (byte)0x08, (byte)0x8A, (byte)0x67, (byte)0xCC, (byte)0x74, (byte)0x02,
					(byte)0x0B, (byte)0xBE, (byte)0xA6, (byte)0x3B, (byte)0x13, (byte)0x9B, (byte)0x22, (byte)0x51, (byte)0x4A, (byte)0x08, (byte)0x79,
					(byte)0x8E, (byte)0x34, (byte)0x04, (byte)0xDD, (byte)0xEF, (byte)0x95, (byte)0x19, (byte)0xB3, (byte)0xCD, (byte)0x3A, (byte)0x43,
					(byte)0x1B,	(byte)0x30, (byte)0x2B, (byte)0x0A, (byte)0x6D, (byte)0xF2, (byte)0x5F, (byte)0x14, (byte)0x37, (byte)0x4F, (byte)0xE1, 
					(byte)0x35, (byte)0x6D, (byte)0x6D, (byte)0x51, (byte)0xC2, (byte)0x45, (byte)0xE4, (byte)0x85, (byte)0xB5, (byte)0x76, (byte)0x62, 
					(byte)0x5E, (byte)0x7E, (byte)0xC6, (byte)0xF4, (byte)0x4C, (byte)0x42, (byte)0xE9,	(byte)0xA6, (byte)0x37, (byte)0xED, (byte)0x6B,
					(byte)0x0B, (byte)0xFF, (byte)0x5C, (byte)0xB6, (byte)0xF4, (byte)0x06, (byte)0xB7, (byte)0xED, (byte)0xEE, (byte)0x38, (byte)0x6B,
					(byte)0xFB, (byte)0x5A, (byte)0x89, (byte)0x9F, (byte)0xA5, (byte)0xAE, (byte)0x9F, (byte)0x24, (byte)0x11, (byte)0x7C, (byte)0x4B,
					(byte)0x1F, (byte)0xE6,	(byte)0x49, (byte)0x28, (byte)0x66, (byte)0x51, (byte)0xEC, (byte)0xE6, (byte)0x53, (byte)0x81, (byte)0xFF,
					(byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF, (byte)0xFF
			}
	);

	public final BigInteger PRIME_DH_GROUP1_MODP1536BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF, (byte)0xC90FDAA2, (byte)0x2168C234, (byte)0xC4C6628B, (byte)0x80DC1CD1,
					(byte)0x29024E08, (byte)0x8A67CC74, (byte)0x020BBEA6, (byte)0x3B139B22, (byte)0x514A0879, (byte)0x8E3404DD,
					(byte)0xEF9519B3, (byte)0xCD3A431B, (byte)0x302B0A6D, (byte)0xF25F1437, (byte)0x4FE1356D, (byte)0x6D51C245,
					(byte)0xE485B576, (byte)0x625E7EC6, (byte)0xF44C42E9, (byte)0xA637ED6B, (byte)0x0BFF5CB6, (byte)0xF406B7ED,
					(byte)0xEE386BFB, (byte)0x5A899FA5, (byte)0xAE9F2411, (byte)0x7C4B1FE6, (byte)0x49286651, (byte)0xECE45B3D,
					(byte)0xC2007CB8, (byte)0xA163BF05, (byte)0x98DA4836, (byte)0x1C55D39A, (byte)0x69163FA8, (byte)0xFD24CF5F,
					(byte)0x83655D23, (byte)0xDCA3AD96, (byte)0x1C62F356, (byte)0x208552BB, (byte)0x9ED52907, (byte)0x7096966D,
					(byte)0x670C354E, (byte)0x4ABC9804, (byte)0xF1746C08, (byte)0xCA237327, (byte)0xFFFFFFFF, (byte)0xFFFFFFFF
			}
	);

	public final BigInteger PRIME_DH_GROUP1_MODP2048BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF, (byte)0xC90FDAA2, (byte)0x2168C234, (byte)0xC4C6628B, (byte)0x80DC1CD1,
					(byte)0x29024E08, (byte)0x8A67CC74, (byte)0x020BBEA6, (byte)0x3B139B22, (byte)0x514A0879, (byte)0x8E3404DD,
					(byte)0xEF9519B3, (byte)0xCD3A431B, (byte)0x302B0A6D, (byte)0xF25F1437, (byte)0x4FE1356D, (byte)0x6D51C245,
					(byte)0xE485B576, (byte)0x625E7EC6, (byte)0xF44C42E9, (byte)0xA637ED6B, (byte)0x0BFF5CB6, (byte)0xF406B7ED,
					(byte)0xEE386BFB, (byte)0x5A899FA5, (byte)0xAE9F2411, (byte)0x7C4B1FE6, (byte)0x49286651, (byte)0xECE45B3D,
					(byte)0xC2007CB8, (byte)0xA163BF05, (byte)0x98DA4836, (byte)0x1C55D39A, (byte)0x69163FA8, (byte)0xFD24CF5F,
					(byte)0x83655D23, (byte)0xDCA3AD96, (byte)0x1C62F356, (byte)0x208552BB, (byte)0x9ED52907, (byte)0x7096966D,
					(byte)0x670C354E, (byte)0x4ABC9804, (byte)0xF1746C08, (byte)0xCA18217C, (byte)0x32905E46, (byte)0x2E36CE3B,
					(byte)0xE39E772C, (byte)0x180E8603, (byte)0x9B2783A2, (byte)0xEC07A28F, (byte)0xB5C55DF0, (byte)0x6F4C52C9,
					(byte)0xDE2BCBF6, (byte)0x95581718, (byte)0x3995497C, (byte)0xEA956AE5, (byte)0x15D22618, (byte)0x98FA0510,
					(byte)0x15728E5A, (byte)0x8AACAA68, (byte)0xFFFFFFFF, (byte)0xFFFFFFFF
			}
	);

	public final BigInteger PRIME_DH_GROUP1_MODP3072BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF, (byte)0xC90FDAA2, (byte)0x2168C234, (byte)0xC4C6628B, (byte)0x80DC1CD1,
					(byte)0x29024E08, (byte)0x8A67CC74, (byte)0x020BBEA6, (byte)0x3B139B22, (byte)0x514A0879, (byte)0x8E3404DD,
					(byte)0xEF9519B3, (byte)0xCD3A431B, (byte)0x302B0A6D, (byte)0xF25F1437, (byte)0x4FE1356D, (byte)0x6D51C245,
					(byte)0xE485B576, (byte)0x625E7EC6, (byte)0xF44C42E9, (byte)0xA637ED6B, (byte)0x0BFF5CB6, (byte)0xF406B7ED,
					(byte)0xEE386BFB, (byte)0x5A899FA5, (byte)0xAE9F2411, (byte)0x7C4B1FE6, (byte)0x49286651, (byte)0xECE45B3D,
					(byte)0xC2007CB8, (byte)0xA163BF05, (byte)0x98DA4836, (byte)0x1C55D39A, (byte)0x69163FA8, (byte)0xFD24CF5F,
					(byte)0x83655D23, (byte)0xDCA3AD96, (byte)0x1C62F356, (byte)0x208552BB, (byte)0x9ED52907, (byte)0x7096966D,
					(byte)0x670C354E, (byte)0x4ABC9804, (byte)0xF1746C08, (byte)0xCA18217C, (byte)0x32905E46, (byte)0x2E36CE3B,
					(byte)0xE39E772C, (byte)0x180E8603, (byte)0x9B2783A2, (byte)0xEC07A28F, (byte)0xB5C55DF0, (byte)0x6F4C52C9,
					(byte)0xDE2BCBF6, (byte)0x95581718, (byte)0x3995497C, (byte)0xEA956AE5, (byte)0x15D22618, (byte)0x98FA0510,
					(byte)0x15728E5A, (byte)0x8AAAC42D, (byte)0xAD33170D, (byte)0x04507A33, (byte)0xA85521AB, (byte)0xDF1CBA64,
					(byte)0xECFB8504, (byte)0x58DBEF0A, (byte)0x8AEA7157, (byte)0x5D060C7D, (byte)0xB3970F85, (byte)0xA6E1E4C7,
					(byte)0xABF5AE8C, (byte)0xDB0933D7, (byte)0x1E8C94E0, (byte)0x4A25619D, (byte)0xCEE3D226, (byte)0x1AD2EE6B,
					(byte)0xF12FFA06, (byte)0xD98A0864, (byte)0xD8760273, (byte)0x3EC86A64, (byte)0x521F2B18, (byte)0x177B200C,
					(byte)0xBBE11757, (byte)0x7A615D6C, (byte)0x770988C0, (byte)0xBAD946E2, (byte)0x08E24FA0, (byte)0x74E5AB31,
					(byte)0x43DB5BFC, (byte)0xE0FD108E, (byte)0x4B82D120, (byte)0xA93AD2CA, (byte)0xFFFFFFFF, (byte)0xFFFFFFFF
			}
	);

	public final BigInteger PRIME_DH_GROUP1_MODP4096BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF, (byte)0xC90FDAA2, (byte)0x2168C234, (byte)0xC4C6628B, (byte)0x80DC1CD1,
					(byte)0x29024E08, (byte)0x8A67CC74, (byte)0x020BBEA6, (byte)0x3B139B22, (byte)0x514A0879, (byte)0x8E3404DD,
					(byte)0xEF9519B3, (byte)0xCD3A431B, (byte)0x302B0A6D, (byte)0xF25F1437, (byte)0x4FE1356D, (byte)0x6D51C245,
					(byte)0xE485B576, (byte)0x625E7EC6, (byte)0xF44C42E9, (byte)0xA637ED6B, (byte)0x0BFF5CB6, (byte)0xF406B7ED,
					(byte)0xEE386BFB, (byte)0x5A899FA5, (byte)0xAE9F2411, (byte)0x7C4B1FE6, (byte)0x49286651, (byte)0xECE45B3D,
					(byte)0xC2007CB8, (byte)0xA163BF05, (byte)0x98DA4836, (byte)0x1C55D39A, (byte)0x69163FA8, (byte)0xFD24CF5F,
					(byte)0x83655D23, (byte)0xDCA3AD96, (byte)0x1C62F356, (byte)0x208552BB, (byte)0x9ED52907, (byte)0x7096966D,
					(byte)0x670C354E, (byte)0x4ABC9804, (byte)0xF1746C08, (byte)0xCA18217C, (byte)0x32905E46, (byte)0x2E36CE3B,
					(byte)0xE39E772C, (byte)0x180E8603, (byte)0x9B2783A2, (byte)0xEC07A28F, (byte)0xB5C55DF0, (byte)0x6F4C52C9,
					(byte)0xDE2BCBF6, (byte)0x95581718, (byte)0x3995497C, (byte)0xEA956AE5, (byte)0x15D22618, (byte)0x98FA0510,
					(byte)0x15728E5A, (byte)0x8AAAC42D, (byte)0xAD33170D, (byte)0x04507A33, (byte)0xA85521AB, (byte)0xDF1CBA64,
					(byte)0xECFB8504, (byte)0x58DBEF0A, (byte)0x8AEA7157, (byte)0x5D060C7D, (byte)0xB3970F85, (byte)0xA6E1E4C7,
					(byte)0xABF5AE8C, (byte)0xDB0933D7, (byte)0x1E8C94E0, (byte)0x4A25619D, (byte)0xCEE3D226, (byte)0x1AD2EE6B,
					(byte)0xF12FFA06, (byte)0xD98A0864, (byte)0xD8760273, (byte)0x3EC86A64, (byte)0x521F2B18, (byte)0x177B200C,
					(byte)0xBBE11757, (byte)0x7A615D6C, (byte)0x770988C0, (byte)0xBAD946E2, (byte)0x08E24FA0, (byte)0x74E5AB31,
					(byte)0x43DB5BFC, (byte)0xE0FD108E, (byte)0x4B82D120, (byte)0xA9210801, (byte)0x1A723C12, (byte)0xA787E6D7,
					(byte)0x88719A10, (byte)0xBDBA5B26, (byte)0x99C32718, (byte)0x6AF4E23C, (byte)0x1A946834, (byte)0xB6150BDA,
					(byte)0x2583E9CA, (byte)0x2AD44CE8, (byte)0xDBBBC2DB, (byte)0x04DE8EF9, (byte)0x2E8EFC14, (byte)0x1FBECAA6,
					(byte)0x287C5947, (byte)0x4E6BC05D, (byte)0x99B2964F, (byte)0xA090C3A2, (byte)0x233BA186, (byte)0x515BE7ED,
					(byte)0x1F612970, (byte)0xCEE2D7AF, (byte)0xB81BDD76, (byte)0x2170481C, (byte)0xD0069127, (byte)0xD5B05AA9,
					(byte)0x93B4EA98, (byte)0x8D8FDDC1, (byte)0x86FFB7DC, (byte)0x90A6C08F, (byte)0x4DF435C9, (byte)0x34063199,
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF
			}
	);

	public final BigInteger PRIME_DH_GROUP1_MODP6144BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF, (byte)0xC90FDAA2, (byte)0x2168C234, (byte)0xC4C6628B, (byte)0x80DC1CD1, (byte)0x29024E08,
					(byte)0x8A67CC74, (byte)0x020BBEA6, (byte)0x3B139B22, (byte)0x514A0879, (byte)0x8E3404DD, (byte)0xEF9519B3, (byte)0xCD3A431B,
					(byte)0x302B0A6D, (byte)0xF25F1437, (byte)0x4FE1356D, (byte)0x6D51C245, (byte)0xE485B576, (byte)0x625E7EC6, (byte)0xF44C42E9,
					(byte)0xA637ED6B, (byte)0x0BFF5CB6, (byte)0xF406B7ED, (byte)0xEE386BFB, (byte)0x5A899FA5, (byte)0xAE9F2411, (byte)0x7C4B1FE6,
					(byte)0x49286651, (byte)0xECE45B3D, (byte)0xC2007CB8, (byte)0xA163BF05, (byte)0x98DA4836, (byte)0x1C55D39A, (byte)0x69163FA8,
					(byte)0xFD24CF5F, (byte)0x83655D23, (byte)0xDCA3AD96, (byte)0x1C62F356, (byte)0x208552BB, (byte)0x9ED52907, (byte)0x7096966D,
					(byte)0x670C354E, (byte)0x4ABC9804, (byte)0xF1746C08, (byte)0xCA18217C, (byte)0x32905E46, (byte)0x2E36CE3B, (byte)0xE39E772C,
					(byte)0x180E8603, (byte)0x9B2783A2, (byte)0xEC07A28F, (byte)0xB5C55DF0, (byte)0x6F4C52C9, (byte)0xDE2BCBF6, (byte)0x95581718,
					(byte)0x3995497C, (byte)0xEA956AE5, (byte)0x15D22618, (byte)0x98FA0510, (byte)0x15728E5A, (byte)0x8AAAC42D, (byte)0xAD33170D,
					(byte)0x04507A33, (byte)0xA85521AB, (byte)0xDF1CBA64, (byte)0xECFB8504, (byte)0x58DBEF0A, (byte)0x8AEA7157, (byte)0x5D060C7D,
					(byte)0xB3970F85, (byte)0xA6E1E4C7, (byte)0xABF5AE8C, (byte)0xDB0933D7, (byte)0x1E8C94E0, (byte)0x4A25619D, (byte)0xCEE3D226,
					(byte)0x1AD2EE6B, (byte)0xF12FFA06, (byte)0xD98A0864, (byte)0xD8760273, (byte)0x3EC86A64, (byte)0x521F2B18, (byte)0x177B200C,
					(byte)0xBBE11757, (byte)0x7A615D6C, (byte)0x770988C0, (byte)0xBAD946E2, (byte)0x08E24FA0, (byte)0x74E5AB31, (byte)0x43DB5BFC,
					(byte)0xE0FD108E, (byte)0x4B82D120, (byte)0xA9210801, (byte)0x1A723C12, (byte)0xA787E6D7, (byte)0x88719A10, (byte)0xBDBA5B26,
					(byte)0x99C32718, (byte)0x6AF4E23C, (byte)0x1A946834, (byte)0xB6150BDA, (byte)0x2583E9CA, (byte)0x2AD44CE8, (byte)0xDBBBC2DB,
					(byte)0x04DE8EF9, (byte)0x2E8EFC14, (byte)0x1FBECAA6, (byte)0x287C5947, (byte)0x4E6BC05D, (byte)0x99B2964F, (byte)0xA090C3A2,
					(byte)0x233BA186, (byte)0x515BE7ED, (byte)0x1F612970, (byte)0xCEE2D7AF, (byte)0xB81BDD76, (byte)0x2170481C, (byte)0xD0069127,
					(byte)0xD5B05AA9, (byte)0x93B4EA98, (byte)0x8D8FDDC1, (byte)0x86FFB7DC, (byte)0x90A6C08F, (byte)0x4DF435C9, (byte)0x34028492,
					(byte)0x36C3FAB4, (byte)0xD27C7026, (byte)0xC1D4DCB2, (byte)0x602646DE, (byte)0xC9751E76, (byte)0x3DBA37BD, (byte)0xF8FF9406,
					(byte)0xAD9E530E, (byte)0xE5DB382F, (byte)0x413001AE, (byte)0xB06A53ED, (byte)0x9027D831, (byte)0x179727B0, (byte)0x865A8918,
					(byte)0xDA3EDBEB, (byte)0xCF9B14ED, (byte)0x44CE6CBA, (byte)0xCED4BB1B, (byte)0xDB7F1447, (byte)0xE6CC254B, (byte)0x33205151,
					(byte)0x2BD7AF42, (byte)0x6FB8F401, (byte)0x378CD2BF, (byte)0x5983CA01, (byte)0xC64B92EC, (byte)0xF032EA15, (byte)0xD1721D03,
					(byte)0xF482D7CE, (byte)0x6E74FEF6, (byte)0xD55E702F, (byte)0x46980C82, (byte)0xB5A84031, (byte)0x900B1C9E, (byte)0x59E7C97F,
					(byte)0xBEC7E8F3, (byte)0x23A97A7E, (byte)0x36CC88BE, (byte)0x0F1D45B7, (byte)0xFF585AC5, (byte)0x4BD407B2, (byte)0x2B4154AA,
					(byte)0xCC8F6D7E, (byte)0xBF48E1D8, (byte)0x14CC5ED2, (byte)0x0F8037E0, (byte)0xA79715EE, (byte)0xF29BE328, (byte)0x06A1D58B,
					(byte)0xB7C5DA76, (byte)0xF550AA3D, (byte)0x8A1FBFF0, (byte)0xEB19CCB1, (byte)0xA313D55C, (byte)0xDA56C9EC, (byte)0x2EF29632,
					(byte)0x387FE8D7, (byte)0x6E3C0468, (byte)0x043E8F66, (byte)0x3F4860EE, (byte)0x12BF2D5B, (byte)0x0B7474D6, (byte)0xE694F91E,
					(byte)0x6DCC4024, (byte)0xFFFFFFFF, (byte)0xFFFFFFFF
			}
	);

	public final BigInteger PRIME_DH_GROUP1_MODP8192BIT = new BigInteger(
			1,
			new byte [] {
					(byte)0xFFFFFFFF, (byte)0xFFFFFFFF, (byte)0xC90FDAA2, (byte)0x2168C234, (byte)0xC4C6628B, (byte)0x80DC1CD1,
					(byte)0x29024E08, (byte)0x8A67CC74, (byte)0x020BBEA6, (byte)0x3B139B22, (byte)0x514A0879, (byte)0x8E3404DD,
					(byte)0xEF9519B3, (byte)0xCD3A431B, (byte)0x302B0A6D, (byte)0xF25F1437, (byte)0x4FE1356D, (byte)0x6D51C245,
					(byte)0xE485B576, (byte)0x625E7EC6, (byte)0xF44C42E9, (byte)0xA637ED6B, (byte)0x0BFF5CB6, (byte)0xF406B7ED,
					(byte)0xEE386BFB, (byte)0x5A899FA5, (byte)0xAE9F2411, (byte)0x7C4B1FE6, (byte)0x49286651, (byte)0xECE45B3D,
					(byte)0xC2007CB8, (byte)0xA163BF05, (byte)0x98DA4836, (byte)0x1C55D39A, (byte)0x69163FA8, (byte)0xFD24CF5F,
					(byte)0x83655D23, (byte)0xDCA3AD96, (byte)0x1C62F356, (byte)0x208552BB, (byte)0x9ED52907, (byte)0x7096966D,
					(byte)0x670C354E, (byte)0x4ABC9804, (byte)0xF1746C08, (byte)0xCA18217C, (byte)0x32905E46, (byte)0x2E36CE3B,
					(byte)0xE39E772C, (byte)0x180E8603, (byte)0x9B2783A2, (byte)0xEC07A28F, (byte)0xB5C55DF0, (byte)0x6F4C52C9,
					(byte)0xDE2BCBF6, (byte)0x95581718, (byte)0x3995497C, (byte)0xEA956AE5, (byte)0x15D22618, (byte)0x98FA0510,
					(byte)0x15728E5A, (byte)0x8AAAC42D, (byte)0xAD33170D, (byte)0x04507A33, (byte)0xA85521AB, (byte)0xDF1CBA64,
					(byte)0xECFB8504, (byte)0x58DBEF0A, (byte)0x8AEA7157, (byte)0x5D060C7D, (byte)0xB3970F85, (byte)0xA6E1E4C7,
					(byte)0xABF5AE8C, (byte)0xDB0933D7, (byte)0x1E8C94E0, (byte)0x4A25619D, (byte)0xCEE3D226, (byte)0x1AD2EE6B,
					(byte)0xF12FFA06, (byte)0xD98A0864, (byte)0xD8760273, (byte)0x3EC86A64, (byte)0x521F2B18, (byte)0x177B200C,
					(byte)0xBBE11757, (byte)0x7A615D6C, (byte)0x770988C0, (byte)0xBAD946E2, (byte)0x08E24FA0, (byte)0x74E5AB31,
					(byte)0x43DB5BFC, (byte)0xE0FD108E, (byte)0x4B82D120, (byte)0xA9210801, (byte)0x1A723C12, (byte)0xA787E6D7,
					(byte)0x88719A10, (byte)0xBDBA5B26, (byte)0x99C32718, (byte)0x6AF4E23C, (byte)0x1A946834, (byte)0xB6150BDA,
					(byte)0x2583E9CA, (byte)0x2AD44CE8, (byte)0xDBBBC2DB, (byte)0x04DE8EF9, (byte)0x2E8EFC14, (byte)0x1FBECAA6,
					(byte)0x287C5947, (byte)0x4E6BC05D, (byte)0x99B2964F, (byte)0xA090C3A2, (byte)0x233BA186, (byte)0x515BE7ED,
					(byte)0x1F612970, (byte)0xCEE2D7AF, (byte)0xB81BDD76, (byte)0x2170481C, (byte)0xD0069127, (byte)0xD5B05AA9,
					(byte)0x93B4EA98, (byte)0x8D8FDDC1, (byte)0x86FFB7DC, (byte)0x90A6C08F, (byte)0x4DF435C9, (byte)0x34028492,
					(byte)0x36C3FAB4, (byte)0xD27C7026, (byte)0xC1D4DCB2, (byte)0x602646DE, (byte)0xC9751E76, (byte)0x3DBA37BD,
					(byte)0xF8FF9406, (byte)0xAD9E530E, (byte)0xE5DB382F, (byte)0x413001AE, (byte)0xB06A53ED, (byte)0x9027D831,
					(byte)0x179727B0, (byte)0x865A8918, (byte)0xDA3EDBEB, (byte)0xCF9B14ED, (byte)0x44CE6CBA, (byte)0xCED4BB1B,
					(byte)0xDB7F1447, (byte)0xE6CC254B, (byte)0x33205151, (byte)0x2BD7AF42, (byte)0x6FB8F401, (byte)0x378CD2BF,
					(byte)0x5983CA01, (byte)0xC64B92EC, (byte)0xF032EA15, (byte)0xD1721D03, (byte)0xF482D7CE, (byte)0x6E74FEF6,
					(byte)0xD55E702F, (byte)0x46980C82, (byte)0xB5A84031, (byte)0x900B1C9E, (byte)0x59E7C97F, (byte)0xBEC7E8F3,
					(byte)0x23A97A7E, (byte)0x36CC88BE, (byte)0x0F1D45B7, (byte)0xFF585AC5, (byte)0x4BD407B2, (byte)0x2B4154AA,
					(byte)0xCC8F6D7E, (byte)0xBF48E1D8, (byte)0x14CC5ED2, (byte)0x0F8037E0, (byte)0xA79715EE, (byte)0xF29BE328,
					(byte)0x06A1D58B, (byte)0xB7C5DA76, (byte)0xF550AA3D, (byte)0x8A1FBFF0, (byte)0xEB19CCB1, (byte)0xA313D55C,
					(byte)0xDA56C9EC, (byte)0x2EF29632, (byte)0x387FE8D7, (byte)0x6E3C0468, (byte)0x043E8F66, (byte)0x3F4860EE,
					(byte)0x12BF2D5B, (byte)0x0B7474D6, (byte)0xE694F91E, (byte)0x6DBE1159, (byte)0x74A3926F, (byte)0x12FEE5E4,
					(byte)0x38777CB6, (byte)0xA932DF8C, (byte)0xD8BEC4D0, (byte)0x73B931BA, (byte)0x3BC832B6, (byte)0x8D9DD300,
					(byte)0x741FA7BF, (byte)0x8AFC47ED, (byte)0x2576F693, (byte)0x6BA42466, (byte)0x3AAB639C, (byte)0x5AE4F568,
					(byte)0x3423B474, (byte)0x2BF1C978, (byte)0x238F16CB, (byte)0xE39D652D, (byte)0xE3FDB8BE, (byte)0xFC848AD9,
					(byte)0x22222E04, (byte)0xA4037C07, (byte)0x13EB57A8, (byte)0x1A23F0C7, (byte)0x3473FC64, (byte)0x6CEA306B,
					(byte)0x4BCBC886, (byte)0x2F8385DD, (byte)0xFA9D4B7F, (byte)0xA2C087E8, (byte)0x79683303, (byte)0xED5BDD3A,
					(byte)0x062B3CF5, (byte)0xB3A278A6, (byte)0x6D2A13F8, (byte)0x3F44F82D, (byte)0xDF310EE0, (byte)0x74AB6A36,
					(byte)0x4597E899, (byte)0xA0255DC1, (byte)0x64F31CC5, (byte)0x0846851D, (byte)0xF9AB4819, (byte)0x5DED7EA1,
					(byte)0xB1D510BD, (byte)0x7EE74D73, (byte)0xFAF36BC3, (byte)0x1ECFA268, (byte)0x359046F4, (byte)0xEB879F92,
					(byte)0x4009438B, (byte)0x481C6CD7, (byte)0x889A002E, (byte)0xD5EE382B, (byte)0xC9190DA6, (byte)0xFC026E47,
					(byte)0x9558E447, (byte)0x5677E9AA, (byte)0x9E3050E2, (byte)0x765694DF, (byte)0xC81F56E8, (byte)0x80B96E71,
					(byte)0x60C980DD, (byte)0x98EDD3DF, (byte)0xFFFFFFFF, (byte)0xFFFFFFFF
			}
	);

}
